Bug 22652 - Editing Course reserves is broken
Summary: Editing Course reserves is broken
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Course reserves (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Koha Team University Lyon 3
QA Contact: Testopia
URL:
Keywords:
Depends on: 10382
Blocks: 22630
  Show dependency treegraph
 
Reported: 2019-04-06 18:31 UTC by Katrin Fischer
Modified: 2019-10-14 20:03 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.05.00, 18.11.05, 18.05.12, 17.11.18


Attachments
BUG 22652- Editing Course reserves is broken (1.61 KB, application/mbox)
2019-04-11 08:56 UTC, Koha Team University Lyon 3
Details
Bug 22652 - Editing Course reserves is broken (1.63 KB, patch)
2019-04-11 10:28 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 22652 - Editing Course reserves is broken (1.68 KB, patch)
2019-04-11 13:51 UTC, Liz Rea
Details | Diff | Splinter Review
Bug 22652 - Editing Course reserves is broken (1.84 KB, patch)
2019-04-12 18:49 UTC, Mikaël Olangcay Brisebois
Details | Diff | Splinter Review
Bug 22652 - Editing Course reserves is broken (2.35 KB, patch)
2019-04-14 22:41 UTC, Chris Cormack
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2019-04-06 18:31:06 UTC
When editing a course reserve item, the changed values don't always show correctly in the pull downs (holding library for me).

Also, the values show as (unchanged) and the new value as previous value.
Comment 1 Koha Team University Lyon 3 2019-04-11 08:56:54 UTC Comment hidden (obsolete)
Comment 2 Koha Team University Lyon 3 2019-04-11 08:57:40 UTC
I'm not really used to create patches and I've done this one on a 17.11.13 koha version. But it corrects this issue in our install.

Sonia
Comment 3 Owen Leonard 2019-04-11 10:28:09 UTC
Created attachment 87756 [details] [review]
Bug 22652 - Editing Course reserves is broken
Comment 4 Owen Leonard 2019-04-11 10:29:17 UTC
I don't think this patch is working in master, but I'm not sure I'm understanding the bug correctly. I've reattached the patch in a corrected format so that someone else can take a look.
Comment 5 Koha Team University Lyon 3 2019-04-11 11:58:36 UTC
Thanks Owen!
I've tested it on a sandbox and it works :) But, it's perhaps better if someone else sign it off.

You could follow this test plan :
1. Create a course reserve or go on an existing one
2. Add items and add a change for the holdingbranch
3. On the list of items in this course reserve (course_reserves/course-details.pl?course_id=xx), click on "edit" at the end of a row :

> without the patch, you can't see the holdingbranch you have choose for this item, but you see "LEAVE UNCHANGED"
>with the patch, you can see the holdingbranch you have choose when adding this item in the course
Comment 6 Liz Rea 2019-04-11 13:51:34 UTC
Created attachment 87763 [details] [review]
Bug 22652 - Editing Course reserves is broken

Signed-off-by: Liz Rea <wizzyrea@gmail.com>
I saw the problem, patch resolves it
Comment 7 Hayley Mapley 2019-04-11 20:52:44 UTC
Looks like Liz signed this off, changing status to Signed Off.
Comment 8 Mikaël Olangcay Brisebois 2019-04-12 18:49:11 UTC
Created attachment 87936 [details] [review]
Bug 22652 - Editing Course reserves is broken

Signed-off-by: Liz Rea <wizzyrea@gmail.com>
Signed-off-by: Mikaël Olangcay Brisebois <mikael.olangcay-brisebois@inLibro.com>
Comment 9 Chris Cormack 2019-04-14 22:41:08 UTC
Created attachment 87968 [details] [review]
Bug 22652 - Editing Course reserves is broken

To test:
1. Create a course reserve or go on an existing one
2. Add items and add a change for the holdingbranch
3. On the list of items in this course reserve
(course_reserves/course-details.pl?course_id=xx), click on "edit" at the
end of a row :

Without the patch, you can't see the holdingbranch you have choose for
this item, but you see "LEAVE UNCHANGED"

With the patch, you can see the holdingbranch you have choose when
adding this item in the course

Signed-off-by: Liz Rea <wizzyrea@gmail.com>
Signed-off-by: Mikaël Olangcay Brisebois <mikael.olangcay-brisebois@inLibro.com>
Signed-off-by: Chris Cormack <chris@bigballofwax.co.nz>
Comment 10 Katrin Fischer 2019-04-15 05:45:16 UTC
I think that fixes part of the problem I saw - will retest and file separate bugs  if necessary later. Thx Sonia!
Comment 11 Nick Clemens 2019-04-16 13:27:04 UTC
Awesome work all!

Pushed to master for 19.05
Comment 12 Martin Renvoize 2019-04-25 13:26:29 UTC
Pushed to 18.11.x for 18.11.05
Comment 13 Lucas Gass 2019-04-26 15:58:20 UTC
backported to 18.05.x for 18.05.12
Comment 14 Fridolin SOMERS 2019-04-30 05:56:30 UTC
Pushed to 17.11.x for 17.11.18